1 Reply Latest reply on Apr 2, 2009 5:43 PM by LenAlox

    Compile Errors in Brook+ 1.4

    LenAlox
      .../libbrook.so: undefined reference to `dlsym' ... `dlerror' ... `dlopen' ... `dlclose'

      I am not sure what is going on, we upgraded from 1.3 to 1.4. Everything was working fine under sdk 1.3 but after upgrading to 1.4 and trying to compile I get the following message:

       

      brcc simple.br

      g++ -L/usr/local/atibrook/sdk/lib -lbrook -I/usr/local/atibrook/sdk/include/ -g -o simple simple.cpp common/Timer.cpp

      /usr/local/atibrook/sdk/lib/libbrook.so: undefined reference to `dlsym'

      /usr/local/atibrook/sdk/lib/libbrook.so: undefined reference to `dlerror'

      /usr/local/atibrook/sdk/lib/libbrook.so: undefined reference to `dlopen'

      /usr/local/atibrook/sdk/lib/libbrook.so: undefined reference to `dlclose'

      collect2: ld returned 1 exit status

      make: *** [cp] Error 1

      I ideas what is going wrong? I am very sure we did also upgrade to catylist 9.2. The system I am using is a 64 bit centOS box.

        • Compile Errors in Brook+ 1.4
          LenAlox

          Fixed it, here is what I did:

          g++ -L/usr/local/atibrook/sdk/lib -lbrook -I/usr/local/atibrook/sdk/include/ -g -o simple simple.cpp common/Timer.cpp

          becomes

          g++ -L/usr/local/atibrook/sdk/lib -lbrook -lbrook_cal -I/usr/local/atibrook/sdk/include/ -g -o simple simple.cpp common/Timer.cpp